body {
  background-color: #373737;
  color: #c3c3c5;
  font-family: Verdana, sans-serif;
  padding-bottom: 50px;
}

a:link, a:visited {
  background-color: #3d3d3d;
  color: white;
  padding: 20px 25px;
  margin: 3px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
}

a:hover, a:active {
  background-color: #353535;
}

.scrolling-container {
  width: 100%;
  padding: 1% 0;
  overflow: hidden;
  white-space: nowrap;
  position: relative;
  background-color: #2c2c2c;
}

.scrolling-content {
  display: inline-block;
  color: white; /* Default color for dark mode */
}

.footer {
  margin: 1.75% 0;
  width: 96.5%;
  position: fixed;
  bottom: 0;
  background-color: gray;
  color: white;
  text-align: center;
}

/* Light mode styles */
body.light-mode {
  background-color: #c3c3c5;
  color: #373737;
}

body.light-mode a {
  background-color: rgb(170, 170, 170);
  color: #3d3d3d;
}

body.light-mode a:hover, body.light-mode a:active {
  background-color: #e0e0e0;
  color: #373737;
}

body.light-mode .scrolling-container {
  background-color: #d3d3d3;
}

body.light-mode .scrolling-content {
  color: #373737;
}

/* Dark Mode Switch Styles */
.switch {
  position: absolute;
  top: 10px;
  right: 10px;
  display: inline-block;
  width: 60px;
  height: 34px;
}

.switch input {
  opacity: 0;
  width: 0;
  height: 0;
}

.slider {
  position: absolute;
  cursor: pointer;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #5f5f5f;
  transition: .4s;
}

.slider:before {
  position: absolute;
  content: "";
  height: 26px;
  width: 26px;
  left: 4px;
  bottom: 4px;
  background-color: rgb(151, 151, 151);
  transition: .4s;
}

input:checked + .slider {
  background-color: #bfbfbf;
}

input:checked + .slider:before {
  transform: translateX(26px);
}

/* Rounded sliders */
.slider.round {
  border-radius: 34px;
}

.slider.round:before {
  border-radius: 50%;
}
